<template>
  <transition name="slide">
    <div class="index-container">
      <!--标题-->
      <mt-header class="header" title="联系客服" fixed>
        <div slot="left">
          <mt-button icon="back" @click="$router.back(-1)"></mt-button>
        </div>
      </mt-header>
      <div class="listbody">
        <div class="help-body">
          <div class="help-title">您可以通过以下方式联系我们</div>
          <!--<div class="help-content">邮箱：{{email}}</div>-->
          <div class="help-content">客服电话：<a :href="telTelephone">{{telephone}}</a></div>
        </div>
      </div>
    </div>
  </transition>
</template>

<script>
  import { MyLocalStorage } from 'assets/js/utils'
  import { LOGIN_FLAG, AD_FLAG, SLIDER_FLAG, USER_ACCOUNT, USER_PWD } from 'assets/js/storageConst'

  export default {
    name: "ContactUs",
    data(){
      return {
        telephone:'010-68387447'
        // email:'4843156541@qq.com'
      }
    },
    computed:{
      telTelephone(){
        return 'tel:'+this.telephone
      }
    },
    methods:{
      loginOut () {
        this.$store.dispatch('LogOut').then(() => {
          MyLocalStorage.Cache.remove(AD_FLAG)
          MyLocalStorage.Cache.remove(LOGIN_FLAG)
          MyLocalStorage.Cache.remove(USER_ACCOUNT)
          MyLocalStorage.Cache.remove(USER_PWD)
          location.reload() // 为了重新实例化vue-router对象 避免bug
        })
      }
    }
  }
</script>

<style lang="stylus" rel="stylesheet/stylus" scoped>
  .mint-cell-title {
    margin-left: 5px !important
  }
  .listbody{
    padding:1rem
    background-color white
    margin-top 40px
    height calc( 100vh - 40px )
    overflow scroll
    .help-body{
      margin 1rem
      margin-top 5rem
      line-height 1.2rem
      .help-title{
        text-align center
        margin 1.2rem 0
      }
      .help-content{
        margin 1.2rem 0
        text-align center
      }
    }
  }
</style>
